* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}
body{
  margin: auto;
  font-size: 20px;
  width: 95%;
  font-family: Geneva, Verdana, sans-serif;
  background-color: #f1f1f1;
}
.container {
  margin-top: 10px;
  background-color: white;
}
.header {
  padding: 15px;
  text-align: center;
  color: rgb(0, 128, 255);
}

/* Navagation Bar */
.sticky-top {
  position: sticky;
  position: -webkit-sticky; /*Safari*/
  top: 2px;
}
ul.nav {
  list-style-type: none;
  margin: 0;
  padding: 0;
  overflow: hidden;
  background-color: rgb(218, 179, 184);
}
.nav li {float:left;}
.nav li a:link {
  display: block;
  color: #313131;
  text-align: center;
  padding: 14px 18px;
  letter-spacing: 1.2px;
  text-decoration: none;
}
.nav li a:visited {
  color: #333;
}
.nav li a:hover:not(.active) {
  background-color: #777;
  color: rgb(240, 240, 240);
}
.nav li a:active {
  text-decoration: underline;
}
.nav li a.active {
  background-color: rgb(150, 40, 125);
  color: #fefefe;
}

/* Right Menu */
div.right-menu {
  float: right;
  width: 25%;
}
ul.right-nav {
  list-style-type: none;
  margin: 0;
  padding: 0;
  overflow: hidden;
  background-color: rgb(180, 230, 200);
}
ul.right-nav .title {
  text-align: center;
  color: white;
  padding: 7px 15px;
  border-bottom: 2px solid #fff;
  background-color: rgb(73, 175, 73);
}
.right-nav li {
  color: #2f2f2f;
  text-align: right;
  padding: 7px 15px;
  letter-spacing: 1.2px;
}
.right-nav li:hover:not(.title):not(.active) {
  background-color: #c1c1c1;
  color: blue;
  cursor: pointer;
}
.right-nav li.active {
  background-color: rgb(58, 130, 224);
  color: white;
}



.tutorial-content {
  float: left;
  padding: 30px 60px;
  width: 75%;
}
.tutorial-content h1 {
  color: #4444ff;
  padding: 15px 0;
  text-align: center;
}
.tutorial-content h2 {
 color: rgb(0, 192, 0);
 padding: 15px 0;
 text-shadow: 1.5px 2px 2px gray;
}
.tutorial-content p {
  padding: 10px 0;
  line-height: 35px;
}


ul.example {
  list-style-type: none;
  margin: 0;
  padding: 0;
  overflow: hidden;
  border-radius: 10px;
  background-color: #e1e1e1;
  padding: 30px 50px;
  box-shadow: 3px 3px 5px grey;
}
ul.example li {
  display: block;
  background-color: white;
  padding: 5px 20px;
}
.example span {
  color:#ff4444;
}
span.value {
  color: blue;
}
.empty-content {
  padding: 80px 20%;
  text-align: center;
}
.empty-content h2 {
  color: tomato;
  padding: 0 0 15px 0;
}
.empty-content a {
  color: dodgerblue;
  text-decoration: none;
}
.empty-content a:hover {
  color: rgb(205, 0, 126);
}
.clearfix:after {
  content: "";
  display: table;
  clear: both;
}

.footer {
  font-size: 16px;
  text-align: center;
  color: rgb(0, 155, 70);
  background-color: rgb(218, 179, 184);
  padding: 12px;
}

/* Based on Media Screen */
@media only screen and (max-width: 750px) {
  body {
    width: 97%;
  }
  .nav li a:link {
    padding: 12px;
  }
  div.right-menu {
    width: 100%;
  }
  ul.right-nav li  {
    float: left;
  }
  ul.right-nav .title {
    width: 100%;
  }
  .tutorial-content {
    width: 100%;
    padding: 25px;
  }
}

@media only screen and (max-width: 520px) {
  body {
    width: 99%;
    font-size: 18px;
  }
  .sticky-top {
    position: relative;
  }
  .container {
    margin-top: 7px;
  }
  div.right-menu {
    width: 100%;
  }
  ul.right-nav li  {
    float: none;
  }
  ul.right-nav .title {
    border-bottom: 2px solid #fff;
  }
  .tutorial-content {
    padding: 5px;
  }
  ul.example {
    padding: 25px 15px;
  }
  ul.example li {
    padding: 3px 5px;
  }
}